package com.heyu.api.data.service.impl.calca;
/**
* <p>
* 接口表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.calca.CalcaFaceConfigDao;
import com.heyu.api.data.entity.calca.CalcaFaceConfigEntity;
import com.heyu.api.data.service.calca.CalcaFaceConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class CalcaFaceConfigServiceImpl extends ServiceImpl<CalcaFaceConfigDao, CalcaFaceConfigEntity> implements CalcaFaceConfigService {


    @Autowired
	private CalcaFaceConfigDao calcaFaceConfigDao;



	@Override
	public CalcaFaceConfigEntity selectCalcaFaceConfigById(Long id){
		return calcaFaceConfigDao.selectCalcaFaceConfigById(id);
	}



	@Override
	public Long insertCalcaFaceConfig(CalcaFaceConfigEntity calcaFaceConfig){
		return calcaFaceConfigDao.insertCalcaFaceConfig(calcaFaceConfig);
	}



	@Override
	public Long insertOrUpdateCalcaFaceConfig(CalcaFaceConfigEntity calcaFaceConfig){
		return calcaFaceConfigDao.insertOrUpdateCalcaFaceConfig(calcaFaceConfig);
	}



	@Override
	public int updateCalcaFaceConfigById(CalcaFaceConfigEntity calcaFaceConfig){
		return calcaFaceConfigDao.updateCalcaFaceConfigById(calcaFaceConfig);
	}



	@Override
	public int updateCoverCalcaFaceConfigById(CalcaFaceConfigEntity calcaFaceConfig){
		return calcaFaceConfigDao.updateCoverCalcaFaceConfigById(calcaFaceConfig);
	}



	@Override
	public int deleteCalcaFaceConfigById(Long id){
		return calcaFaceConfigDao.deleteCalcaFaceConfigById(id);
	}



}
